package com.css.simulation.resource.model.service;

import api.common.pojo.param.model.CameraParam;
import api.common.pojo.vo.model.CameraVO;
import com.css.simulation.resource.common.utils.AuthUtil;
import com.css.simulation.resource.model.mapper.CameraMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CameraService {

    @Autowired
    CameraMapper cameraMapper;

    public List<CameraVO> getCameraList(CameraParam cameraParam) {
        cameraParam.setCreateUserId(AuthUtil.getCurrentUserId());
        List<CameraVO> list = cameraMapper.getCameraList(cameraParam);
        return list;
    }

    public CameraVO getCameraInfo(CameraParam cameraParam) {
        return cameraMapper.getCameraInfo(cameraParam);
    }
}
